@use "@/styles/" as *;

.headingTitle1 {
  align-self: stretch;
  position: relative;
  letter-spacing: 0.02em;
  line-height: 140%;
}
.headingTitle2 {
  position: relative;
  letter-spacing: -0.02em;
  line-height: 100%;
}
.frameChild {
  position: relative;
  background-color: #fff;
  width: 80px;
  height: 4px;
  transform: rotate(-4deg);
  transform-origin: 0 0;
}
.line2Inner {
  display: flex;
  flex-direction: column;
  padding: 4px 0px 10px;
  align-items: flex-start;
  justify-content: flex-start;
}
.line2 {
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: flex-start;
  gap: 8px;
}
.main {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  font-size: 48px;
  color: #fff;
  font-family: Niramit;
}
.sectionHeading {
  min-width: 379px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}
.link1 {
  position: relative;
  letter-spacing: 0.05em;
  line-height: 140%;
  font-weight: 600;
}
.link {
  border-bottom: 1px solid #143080;
  box-sizing: border-box;
  height: 15px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  color: #143080;
}
.postTitle {
  align-self: stretch;
  position: relative;
  font-size: 18px;
  line-height: 120%;
  font-weight: 600;
  color: #1d1d1d;
}
.postContent {
  align-self: stretch;
  position: relative;
  letter-spacing: 0.05em;
  line-height: 140%;
  display: -webkit-inline-box;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}
.writtenBy {
  align-self: stretch;
  position: relative;
  letter-spacing: 0.05em;
  line-height: 140%;
}
.content {
  align-self: stretch;
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 6px;
}
.image91Icon {
  position: relative;
  border-radius: 6.23px;
  width: 366px;
  height: 240px;
  object-fit: cover;
  max-width: 100%;
}
.card1 {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 12px;
}
.cardChild {
  align-self: stretch;
  position: relative;
  background-color: #d4d4d3;
  height: 1px;
}
.tKS3 {
  align-self: stretch;
  position: relative;
  font-size: 18px;
  line-height: 120%;
  font-weight: 600;
  color: #242222;
}
.card {
  max-width: 824px;
  width: 100%;
  border-radius: 8px;
  background-color: #ebebeb;
  padding: 32px;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 24px;
  font-size: 12px;
  color: #4d4c4b;
}
.editorRecommendation {
  position: relative;
  background-color: #242222;
  max-width: 1334px;
  display: flex;
  flex-direction: row;
  padding: 80px 55px;
  box-sizing: border-box;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 24px;
  text-align: left;
  font-size: 20px;
  color: #ebebeb;
  font-family: "Inter Tight";
  margin: 80px auto 48px;
}

@include mobile {
  .headingTitle1 {
    font-size: 16px;
  }
  .frameChild {
    width: 56px;
    height: 3px;
  }
  .main {
    font-size: 32px;
  }
  .image91Icon {
    max-width: 120px;
    width: 100%;
    height: auto;
  }
  .postContent {
    display: none;
  }
  .card {
    margin-top: 24px;
    padding: 16px;
  }
  .editorRecommendation {
    margin: 60px 0;
    padding: 40px 16px;
    width: 100%;
    flex-direction: column;
  }
}
